Uploaded image for project: 'Spring Roo'
  1. Spring Roo
  2. ROO-3289

Web Page Validator - errors on "version="2"

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 1.2.2.RELEASE
    • Fix Version/s: None
    • Component/s: WEB MVC
    • Labels:

      Description

      Roo generated web pages, when passed into W3C HTML validation, give the error

      "Attribute version not allowed on element div at this point."

      The offending line is <div version="2.0">

      The version="2.0" is coming from

      <div xmlns:c="http://java.sun.com/jsp/jstl/core" xmlns:field="urn:jsptagdir:/WEB-INF/tags/form/fields" xmlns:form="urn:jsptagdir:/WEB-INF/tags/form" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:spring="http://www.springframework.org/tags" version="2.0">

      Cant find documentation on this anywhere.

      If version=2 is needed for something then the documentation should say why. Otherwise can it be removed so Roo pages pass validation?

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              greg.soulsby Gregory J Soulsby
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: